Manage cash machines.
Operations
contentsReport
Generates a report on the contents of the cash machine.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/contentsReportPOST /nexum/627/2022.01/cashmachines/contentsReport HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"timeout": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}dispense
Dispenses cash from the cash machine.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegeroptionalduressFlagbooleanoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/dispensePOST /nexum/627/2022.01/cashmachines/dispense HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"timeout": 0,
"requestedDistribution": {},
"duressFlag": true,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}startDeposit
Initiates the deposit process at the cash machine.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/startDepositPOST /nexum/627/2022.01/cashmachines/startDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"timeout": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}continueDeposit
Allows the cash machine to continue a deposit process.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegerrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/continueDepositPOST /nexum/627/2022.01/cashmachines/continueDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"timeout": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}acceptDeposit
Allows the cash machine to accept a deposit.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegerrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/acceptDepositPOST /nexum/627/2022.01/cashmachines/acceptDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"timeout": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}rejectDeposit
Rejects a deposit at the cash machine.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/rejectDepositPOST /nexum/627/2022.01/cashmachines/rejectDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"timeout": 0,
"retainedDistribution": {},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}